Bug 124822 - Docs of postgresql-python have bad permissions
Docs of postgresql-python have bad permissions
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: 125783 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-05-30 15:39 EDT by Troels Arvin
Modified: 2013-07-02 23:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-23 19:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Troels Arvin 2004-05-30 15:39:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040404 Firefox/0.8

Description of problem:
None of the documentation files in postgresql-python (and possibly
other PostgreSQL packages?) are readable by ordinary users. I suggest
that they all be readable (and that the contained 'tutorial' directory
be executable) for "other", as well as user+group. Also, I suggest
that the .py files in the 'tutorial' directory be non-executable,
since the files are not meant to be run - only to be a source of
inspiration, as far as I kan see.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install postgresql-python.
2. Go to /usr/share/doc/postgresql-python-7.4.2 and do a "ls -lR"


Additional info:
Comment 1 Tom Lane 2004-06-01 19:02:17 EDT
It looks like the problem is unreasonably tight file permissions in
the upstream PyGreSQL-3.4 package.  The RPM installation is relabeling
the files with root/root ownership but not changing the permissions. 
I'll see what I can do about this for the next release.

I'm not sure about your suggestion that the .py files ought not be
executable --- they are so labeled (at least some of 'em) in the
upstream package, and I would assume that's intentional.  I'll ask.
Comment 2 Tom Lane 2004-06-11 16:05:15 EDT
*** Bug 125783 has been marked as a duplicate of this bug. ***
Comment 3 Tom Lane 2004-06-23 19:02:08 EDT
Fixed in postgresql 7.4.3-1.

Note You need to log in before you can comment on or make changes to this bug.